module.exports = function(grunt) {

    grunt.initConfig({

        // Import package manifest
        pkg: grunt.file.readJSON("plugin-config.json"),

        // Banner definitions
        meta: {
            banner: "/*\n" +
                " *  <%= pkg.title || pkg.name %> - v<%= pkg.version %>\n" +
                " *  <%= pkg.description %>\n" +
                " *\n" +
                " *  Made by <%= pkg.author.name %>\n" +
                " *  Under <%= pkg.licenses[0].type %> License\n" +
                " */\n"
        },

        // Concat definitions
        concat: {
            dist: {
                src: ["src/jquery-dropdown-datepicker.js"],
                dest: "dist/jquery-dropdown-datepicker.min.js"
            },
            options: {
                banner: "<%= meta.banner %>"
            }
        },

        // Lint definitions
        jshint: {
            files: ["src/jquery-dropdown-datepicker.js"],
            options: {
                jshintrc: ".jshintrc",
                reporterOutput: ""
            }
        },

        // Minify definitions
        uglify: {
            my_target: {
                src: ["dist/jquery-dropdown-datepicker.js"],
                dest: "dist/jquery-dropdown-datepicker.js"
            },
            options: {
                banner: "<%= meta.banner %>"
            }
        },

    });

    grunt.loadNpmTasks("grunt-contrib-concat");
    grunt.loadNpmTasks("grunt-contrib-jshint");
    grunt.loadNpmTasks("grunt-contrib-uglify");

    grunt.registerTask("default", ["jshint", "concat", "uglify"]);

};
